Bug 229606 (CVE-2007-0537) - CVE-2007-0537 konqueror XSS
Summary: CVE-2007-0537 konqueror XSS
Status: CLOSED ERRATA
Alias: CVE-2007-0537
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: reported=20070130,public=20070124,sou...
Keywords: Security
Depends On: 225420 293551 293561 293571 293581
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-22 01:02 UTC by Josh Bressers
Modified: 2016-03-04 11:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-27 21:49:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0909 normal SHIPPED_LIVE Moderate: kdelibs security update 2008-01-09 01:17:18 UTC

Description Josh Bressers 2007-02-22 01:02:11 UTC
The KDE HTML library (kdelibs), as used by Konqueror 3.5.5, does not properly
parse HTML comments, which allows remote attackers to conduct cross-site
scripting (XSS) attacks and bypass some XSS protection schemes by embedding
certain HTML tags within a comment in a title tag, a related issue to CVE-2007-0478.

Comment 1 Tomas Hoger 2007-09-12 11:35:23 UTC
Official KDE security advisory with reference to upstream patch:

http://www.kde.org/info/security/advisory-20070206-1.txt


Comment 3 Ngo Than 2007-09-19 15:28:35 UTC
it's fixed in kdelibs-3.3.1-9.el4/kdelibs-3.5.4-13.el5

Comment 6 Red Hat Product Security 2008-01-16 09:29:07 UTC
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2007-0909.html ((RHEL4, RHEL5)

Fedora:
  updated to fixed upstream version


Note You need to log in before you can comment on or make changes to this bug.